org.springframework.data.mapping

## Class AccessOptions

- java.lang.Object
- - org.springframework.data.mapping.AccessOptions

    public class AccessOptions
    extends Object

Access options when using `PersistentPropertyPathAccessor` to get and set properties. Allows defining how to handle null values, register custom transforming handlers when accessing collections and maps and propagation settings for how to handle intermediate collection and map values when setting values.

Since:
  2.3
Author:
  Oliver Drotbohm

### Nested Class Summary

Nested Classes
`static class` `AccessOptions.GetOptions` Access options for getting values for property paths.
`static class` `AccessOptions.SetOptions` Access options for setting values for property paths.

### Constructor Summary

Constructors
Constructor and Description
`AccessOptions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AccessOptions.GetOptions` `defaultGetOptions()` Returns the default `AccessOptions.GetOptions` rejecting intermediate null values when accessing property paths.
`static AccessOptions.SetOptions` `defaultSetOptions()` Returns the default `AccessOptions.SetOptions` rejecting setting values when finding an intermediate property value to be null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessOptions

    public AccessOptions()

### Method Detail

#### defaultSetOptions

    public static AccessOptions.SetOptions defaultSetOptions()

Returns the default `AccessOptions.SetOptions` rejecting setting values when finding an intermediate property value to be null.

Returns:

#### defaultGetOptions

    public static AccessOptions.GetOptions defaultGetOptions()

Returns the default `AccessOptions.GetOptions` rejecting intermediate null values when accessing property paths.

Returns: